Subject: partial shade plants

From: [email-masked] (Anne Dubrofsky)
Date: Thu, 30 Mar 1995 13:25:12 GMT

Any recommends for partial shade plants for the Ottawa region? I've
got hosta already, and have been using impatiens (which I'm tired of).
I'd like a perennial plant or two, and some annuals, which would
provide variety from year to year. Any suggestions are welcome!
Thanks, Anne.